> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snackbase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Resume Workflow Instance

> Resume a failed workflow instance from its last step.



## OpenAPI

````yaml post /api/v1/workflow-instances/{instance_id}/resume
openapi: 3.1.0
info:
  title: SnackBase
  description: Open-source Backend-as-a-Service (BaaS)
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/workflow-instances/{instance_id}/resume:
    post:
      tags:
        - workflows
        - Workflows
      summary: Resume Instance Endpoint
      description: Resume a failed workflow instance from its last step.
      operationId: >-
        resume_instance_endpoint_api_v1_workflow_instances__instance_id__resume_post
      parameters:
        - name: instance_id
          in: path
          required: true
          schema:
            type: string
            title: Instance Id
      responses:
        '202':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TriggerWorkflowResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TriggerWorkflowResponse:
      properties:
        message:
          type: string
          title: Message
        instance_id:
          type: string
          title: Instance Id
      type: object
      required:
        - message
        - instance_id
      title: TriggerWorkflowResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````